> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Price

> Get price data for a single asset. Returns only the price data with asset identifiers.



## OpenAPI

````yaml /openapi.json get /v1/assets/{idOrSlug}/price
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/assets/{idOrSlug}/price:
    get:
      tags:
        - assets
      summary: Get Asset Price
      description: >-
        Get price data for a single asset. Returns only the price data with
        asset identifiers.
      operationId: AssetController_getPrice_v1
      parameters:
        - name: idOrSlug
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Price data for the specified asset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetPriceWithIdentifiers'
              example:
                usd: 4014.79
                btc: 0.036245034667051854
                eth: 1
                updated_at: 1760623631
                asset_code: ETH
                asset_slug: ethereum
        '400':
          description: Bad Request
        '404':
          description: Not Found
components:
  schemas:
    AssetPriceWithIdentifiers:
      type: object
      properties:
        usd:
          type: number
          nullable: true
          format: double
        btc:
          type: number
          nullable: true
          format: double
        eth:
          type: number
          nullable: true
          format: double
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
        asset_code:
          type: string
          maxLength: 20
        asset_slug:
          type: string
          maxLength: 100
      required:
        - usd
        - btc
        - eth
        - updated_at
        - asset_code
        - asset_slug
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````